osg::TexEnvCombine Class Reference

`#include <TexEnvCombine>`

Inheritance diagram for osg::TexEnvCombine:

## Public Types

enum | CombineParam { REPLACE = GL_REPLACE , MODULATE = GL_MODULATE , ADD = GL_ADD , ADD_SIGNED = GL_ADD_SIGNED_ARB , INTERPOLATE = GL_INTERPOLATE_ARB , SUBTRACT = GL_SUBTRACT_ARB , DOT3_RGB = GL_DOT3_RGB_ARB , DOT3_RGBA = GL_DOT3_RGBA_ARB }
enum | SourceParam { CONSTANT = GL_CONSTANT_ARB , PRIMARY_COLOR = GL_PRIMARY_COLOR_ARB , PREVIOUS = GL_PREVIOUS_ARB , TEXTURE = GL_TEXTURE , TEXTURE0 = GL_TEXTURE0 , TEXTURE1 = GL_TEXTURE0+1 , TEXTURE2 = GL_TEXTURE0+2 , TEXTURE3 = GL_TEXTURE0+3 , TEXTURE4 = GL_TEXTURE0+4 , TEXTURE5 = GL_TEXTURE0+5 , TEXTURE6 = GL_TEXTURE0+6 , TEXTURE7 = GL_TEXTURE0+7 }
enum | OperandParam { SRC_COLOR = GL_SRC_COLOR , ONE_MINUS_SRC_COLOR = GL_ONE_MINUS_SRC_COLOR , SRC_ALPHA = GL_SRC_ALPHA , ONE_MINUS_SRC_ALPHA = GL_ONE_MINUS_SRC_ALPHA }
Public Types inherited from osg::StateAttribute
enum | Values { OFF = 0x0 , ON = 0x1 , OVERRIDE = 0x2 , PROTECTED = 0x4 , INHERIT = 0x8 }

enum

Type {
TEXTURE , POLYGONMODE , POLYGONOFFSET , MATERIAL ,
ALPHAFUNC , ANTIALIAS , COLORTABLE , CULLFACE ,
FOG , FRONTFACE , LIGHT , POINT ,
LINEWIDTH , LINESTIPPLE , POLYGONSTIPPLE , SHADEMODEL ,
TEXENV , TEXENVFILTER , TEXGEN , TEXMAT ,
LIGHTMODEL , BLENDFUNC , BLENDEQUATION , LOGICOP ,
STENCIL , COLORMASK , DEPTH , VIEWPORT ,
SCISSOR , BLENDCOLOR , MULTISAMPLE , CLIPPLANE ,
COLORMATRIX , VERTEXPROGRAM , FRAGMENTPROGRAM , POINTSPRITE ,
PROGRAM , CLAMPCOLOR , HINT , SAMPLEMASKI ,
PRIMITIVERESTARTINDEX , CLIPCONTROL , VALIDATOR , VIEWMATRIXEXTRACTOR ,
OSGNV_PARAMETER_BLOCK , OSGNVEXT_TEXTURE_SHADER , OSGNVEXT_VERTEX_PROGRAM , OSGNVEXT_REGISTER_COMBINERS ,
OSGNVCG_PROGRAM , OSGNVSLANG_PROGRAM , OSGNVPARSE_PROGRAM_PARSER , UNIFORMBUFFERBINDING ,
TRANSFORMFEEDBACKBUFFERBINDING , ATOMICCOUNTERBUFFERBINDING , PATCH_PARAMETER , FRAME_BUFFER_OBJECT ,
VERTEX_ATTRIB_DIVISOR , SHADERSTORAGEBUFFERBINDING , INDIRECTDRAWBUFFERBINDING , VIEWPORTINDEXED ,
DEPTHRANGEINDEXED , SCISSORINDEXED , BINDIMAGETEXTURE , SAMPLER ,
CAPABILITY = 100
}

typedef GLenum | GLMode
typedef unsigned int | GLModeValue
typedef unsigned int | OverrideValue
typedef std::pair< Type, unsigned int > | TypeMemberPair
typedef std::vector< StateSet * > | ParentList
typedef osg::StateAttributeCallback | Callback
Public Types inherited from osg::Object
enum | DataVariance { DYNAMIC , STATIC , UNSPECIFIED }

## Public Member Functions

| TexEnvCombine ()
| TexEnvCombine (const TexEnvCombine &texenv, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
| META_StateAttribute (osg, TexEnvCombine, TEXENV)
virtual bool | isTextureAttribute () const
virtual int | compare (const StateAttribute &sa) const
void | setCombine_RGB (GLint cm)
void | setCombine_Alpha (GLint cm)
GLint | getCombine_RGB () const
GLint | getCombine_Alpha () const
void | setSource0_RGB (GLint sp)
void | setSource1_RGB (GLint sp)
void | setSource2_RGB (GLint sp)
void | setSource0_Alpha (GLint sp)
void | setSource1_Alpha (GLint sp)
void | setSource2_Alpha (GLint sp)
GLint | getSource0_RGB () const
GLint | getSource1_RGB () const
GLint | getSource2_RGB () const
GLint | getSource0_Alpha () const
GLint | getSource1_Alpha () const
GLint | getSource2_Alpha () const
void | setOperand0_RGB (GLint op)
void | setOperand1_RGB (GLint op)
void | setOperand2_RGB (GLint op)
void | setOperand0_Alpha (GLint op)
void | setOperand1_Alpha (GLint op)
void | setOperand2_Alpha (GLint op)
GLint | getOperand0_RGB () const
GLint | getOperand1_RGB () const
GLint | getOperand2_RGB () const
GLint | getOperand0_Alpha () const
GLint | getOperand1_Alpha () const
GLint | getOperand2_Alpha () const
void | setScale_RGB (float scale)
void | setScale_Alpha (float scale)
float | getScale_RGB () const
float | getScale_Alpha () const
void | setConstantColor (const Vec4 &color)
const Vec4 & | getConstantColor () const
void | setConstantColorAsLightDirection (const Vec3 &direction)
Vec3 | getConstantColorAsLightDirection () const
virtual void | apply (State &state) const
Public Member Functions inherited from osg::StateAttribute
| StateAttribute ()
| StateAttribute (const StateAttribute &sa, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
virtual Object * | cloneType () const =0
virtual Object * | clone (const CopyOp &) const =0
virtual bool | isSameKindAs (const Object *obj) const
virtual const char * | libraryName () const
virtual const char * | className () const
virtual StateAttribute * | asStateAttribute ()
virtual const StateAttribute * | asStateAttribute () const
virtual Texture * | asTexture ()
virtual const Texture * | asTexture () const
virtual Type | getType () const =0
virtual unsigned int | getMember () const
TypeMemberPair | getTypeMemberPair () const
bool | operator< (const StateAttribute &rhs) const
bool | operator== (const StateAttribute &rhs) const
bool | operator!= (const StateAttribute &rhs) const
const ParentList & | getParents () const
StateSet * | getParent (unsigned int i)
const StateSet * | getParent (unsigned int i) const
unsigned int | getNumParents () const
void | setShaderComponent (ShaderComponent *sc)
ShaderComponent * | getShaderComponent ()
const ShaderComponent * | getShaderComponent () const
virtual bool | getModeUsage (ModeUsage &) const
virtual bool | checkValidityOfAssociatedModes (osg::State &) const
void | setUpdateCallback (StateAttributeCallback *uc)
StateAttributeCallback * | getUpdateCallback ()
const StateAttributeCallback * | getUpdateCallback () const
void | setEventCallback (StateAttributeCallback *ec)
StateAttributeCallback * | getEventCallback ()
const StateAttributeCallback * | getEventCallback () const
virtual void | compileGLObjects (State &) const
virtual void | resizeGLObjectBuffers (unsigned int)
virtual void | releaseGLObjects (State *=0) const
Public Member Functions inherited from osg::Object
| Object ()
| Object (bool threadSafeRefUnref)
| Object (const Object &, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
std::string | getCompoundClassName () const
virtual Node * | asNode ()
virtual const Node * | asNode () const
virtual NodeVisitor * | asNodeVisitor ()
virtual const NodeVisitor * | asNodeVisitor () const
virtual StateSet * | asStateSet ()
virtual const StateSet * | asStateSet () const
virtual Uniform * | asUniform ()
virtual const Uniform * | asUniform () const
virtual Camera * | asCamera ()
virtual const Camera * | asCamera () const
virtual Drawable * | asDrawable ()
virtual const Drawable * | asDrawable () const
virtual Callback * | asCallback ()
virtual const Callback * | asCallback () const
virtual CallbackObject * | asCallbackObject ()
virtual const CallbackObject * | asCallbackObject () const
virtual UserDataContainer * | asUserDataContainer ()
virtual const UserDataContainer * | asUserDataContainer () const
virtual ValueObject * | asValueObject ()
virtual const ValueObject * | asValueObject () const
virtual Image * | asImage ()
virtual const Image * | asImage () const
virtual void | setThreadSafeRefUnref (bool threadSafe)
virtual void | setName (const std::string &name)
void | setName (const char *name)
const std::string & | getName () const
void | setDataVariance (DataVariance dv)
DataVariance | getDataVariance () const
virtual void | computeDataVariance ()
void | setUserDataContainer (osg::UserDataContainer *udc)
template<class T>
void | setUserDataContainer (const ref_ptr< T > &udc)
osg::UserDataContainer * | getUserDataContainer ()
const osg::UserDataContainer * | getUserDataContainer () const
osg::UserDataContainer * | getOrCreateUserDataContainer ()
virtual void | setUserData (Referenced *obj)
template<class T>
void | setUserData (const ref_ptr< T > &ud)
virtual Referenced * | getUserData ()
virtual const Referenced * | getUserData () const
template<typename T>
bool | getUserValue (const std::string &name, T &value) const
template<typename T>
void | setUserValue (const std::string &name, const T &value)
template<typename T>
BoolValueObject UCharValueObject UShortValueObject UIntValueObject DoubleValueObject Vec3fValueObject Vec2dValueObject Vec4dValueObject PlaneValueObject MatrixdValueObject BoundingBoxdValueObject BoundingSpheredValueObject bool | getUserValue (const std::string &name, T &value) const
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Protected Member Functions

virtual | ~TexEnvCombine ()
bool | needsTexEnvCombiner (GLint value) const
void | computeNeedForTexEnvCombiners ()
Protected Member Functions inherited from osg::StateAttribute
virtual | ~StateAttribute ()
void | addParent (osg::StateSet *object)
void | removeParent (osg::StateSet *object)
Protected Member Functions inherited from osg::Object
virtual | ~Object ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const

## Protected Attributes

bool | _needsTexEnvCrossbar
GLint | _combine_RGB
GLint | _combine_Alpha
GLint | _source0_RGB
GLint | _source1_RGB
GLint | _source2_RGB
GLint | _source0_Alpha
GLint | _source1_Alpha
GLint | _source2_Alpha
GLint | _operand0_RGB
GLint | _operand1_RGB
GLint | _operand2_RGB
GLint | _operand0_Alpha
GLint | _operand1_Alpha
GLint | _operand2_Alpha
float | _scale_RGB
float | _scale_Alpha
osg::Vec4 | _constantColor
Protected Attributes inherited from osg::StateAttribute
ParentList | _parents
ref_ptr< ShaderComponent > | _shaderComponent
ref_ptr< StateAttributeCallback > | _updateCallback
ref_ptr< StateAttributeCallback > | _eventCallback
Protected Attributes inherited from osg::Object
std::string | _name
DataVariance | _dataVariance
osg::UserDataContainer * | _userDataContainer
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()

## Detailed Description

TexEnvCombine encapsulates the OpenGL glTexEnvCombine (texture environment) state.

## Member Enumeration Documentation

## CombineParam

enum osg::TexEnvCombine::CombineParam

Enumerator
REPLACE |
MODULATE |
ADD |
ADD_SIGNED |
INTERPOLATE |
SUBTRACT |
DOT3_RGB |
DOT3_RGBA |

## OperandParam

enum osg::TexEnvCombine::OperandParam

Enumerator
SRC_COLOR |
ONE_MINUS_SRC_COLOR |
SRC_ALPHA |
ONE_MINUS_SRC_ALPHA |

## SourceParam

enum osg::TexEnvCombine::SourceParam

Enumerator
CONSTANT |
PRIMARY_COLOR |
PREVIOUS |
TEXTURE |
TEXTURE0 |
TEXTURE1 |
TEXTURE2 |
TEXTURE3 |
TEXTURE4 |
TEXTURE5 |
TEXTURE6 |
TEXTURE7 |

## Constructor & Destructor Documentation

## TexEnvCombine() [1/2]

osg::TexEnvCombine::TexEnvCombine | ( |  | ) |

Referenced by compare(), META_StateAttribute(), and TexEnvCombine().

## TexEnvCombine() [2/2]

osg::TexEnvCombine::TexEnvCombine | ( | const TexEnvCombine & | texenv,
|  | const CopyOp & | copyop = CopyOp::SHALLOW_COPY )

inline

Copy constructor using CopyOp to manage deep vs shallow copy.

References _combine_Alpha, _combine_RGB, _constantColor, _needsTexEnvCrossbar, _operand0_Alpha, _operand0_RGB, _operand1_Alpha, _operand1_RGB, _operand2_Alpha, _operand2_RGB, _scale_Alpha, _scale_RGB, _source0_Alpha, _source0_RGB, _source1_Alpha, _source1_RGB, _source2_Alpha, _source2_RGB, osg::CopyOp::SHALLOW_COPY, osg::StateAttribute::StateAttribute(), and TexEnvCombine().

## ~TexEnvCombine()

virtual osg::TexEnvCombine::~TexEnvCombine | ( |  | ) |

protected virtual

## Member Function Documentation

## apply()

virtual void osg::TexEnvCombine::apply | ( | State & |  | ) | const

virtual

apply the OpenGL state attributes. The render info for the current OpenGL context is passed in to allow the StateAttribute to obtain details on the the current context and state.

Reimplemented from osg::StateAttribute.

## compare()

virtual int osg::TexEnvCombine::compare | ( | const StateAttribute & | sa | ) | const

inline virtual

Return -1 if *this < *rhs, 0 if *this==*rhs, 1 if *this>*rhs.

Implements osg::StateAttribute.

References _combine_Alpha, _combine_RGB, _constantColor, _needsTexEnvCrossbar, _operand0_Alpha, _operand0_RGB, _operand1_Alpha, _operand1_RGB, _operand2_Alpha, _operand2_RGB, _scale_Alpha, _scale_RGB, _source0_Alpha, _source0_RGB, _source1_Alpha, _source1_RGB, _source2_Alpha, _source2_RGB, COMPARE_StateAttribute_Parameter, COMPARE_StateAttribute_Types, osg::StateAttribute::StateAttribute(), and TexEnvCombine().

## computeNeedForTexEnvCombiners()

void osg::TexEnvCombine::computeNeedForTexEnvCombiners | ( |  | ) |

inline protected

References _needsTexEnvCrossbar, _source0_Alpha, _source0_RGB, _source1_Alpha, _source1_RGB, _source2_Alpha, _source2_RGB, and needsTexEnvCombiner().

## getCombine_Alpha()

GLint osg::TexEnvCombine::getCombine_Alpha | ( |  | ) | const

inline

References _combine_Alpha.

## getCombine_RGB()

GLint osg::TexEnvCombine::getCombine_RGB | ( |  | ) | const

inline

References _combine_RGB.

## getConstantColor()

const Vec4 & osg::TexEnvCombine::getConstantColor | ( |  | ) | const

inline

References _constantColor.

## getConstantColorAsLightDirection()

Vec3 osg::TexEnvCombine::getConstantColorAsLightDirection | ( |  | ) | const

inline

References _constantColor.

## getOperand0_Alpha()

GLint osg::TexEnvCombine::getOperand0_Alpha | ( |  | ) | const

inline

References _operand0_Alpha.

## getOperand0_RGB()

GLint osg::TexEnvCombine::getOperand0_RGB | ( |  | ) | const

inline

References _operand0_RGB.

## getOperand1_Alpha()

GLint osg::TexEnvCombine::getOperand1_Alpha | ( |  | ) | const

inline

References _operand1_Alpha.

## getOperand1_RGB()

GLint osg::TexEnvCombine::getOperand1_RGB | ( |  | ) | const

inline

References _operand1_RGB.

## getOperand2_Alpha()

GLint osg::TexEnvCombine::getOperand2_Alpha | ( |  | ) | const

inline

References _operand2_Alpha.

## getOperand2_RGB()

GLint osg::TexEnvCombine::getOperand2_RGB | ( |  | ) | const

inline

References _operand2_RGB.

## getScale_Alpha()

float osg::TexEnvCombine::getScale_Alpha | ( |  | ) | const

inline

References _scale_Alpha.

## getScale_RGB()

float osg::TexEnvCombine::getScale_RGB | ( |  | ) | const

inline

References _scale_RGB.

## getSource0_Alpha()

GLint osg::TexEnvCombine::getSource0_Alpha | ( |  | ) | const

inline

References _source0_Alpha.

## getSource0_RGB()

GLint osg::TexEnvCombine::getSource0_RGB | ( |  | ) | const

inline

References _source0_RGB.

## getSource1_Alpha()

GLint osg::TexEnvCombine::getSource1_Alpha | ( |  | ) | const

inline

References _source1_Alpha.

## getSource1_RGB()

GLint osg::TexEnvCombine::getSource1_RGB | ( |  | ) | const

inline

References _source1_RGB.

## getSource2_Alpha()

GLint osg::TexEnvCombine::getSource2_Alpha | ( |  | ) | const

inline

References _source2_Alpha.

## getSource2_RGB()

GLint osg::TexEnvCombine::getSource2_RGB | ( |  | ) | const

inline

References _source2_RGB.

## isTextureAttribute()

virtual bool osg::TexEnvCombine::isTextureAttribute | ( |  | ) | const

inline virtual

Return true if StateAttribute is a type which controls texturing and needs to be issued w.r.t to specific texture unit.

Reimplemented from osg::StateAttribute.

## META_StateAttribute()

osg::TexEnvCombine::META_StateAttribute | ( | osg | ,
|  | TexEnvCombine | ,
|  | TEXENV | )

References osg::StateAttribute::TEXENV, and TexEnvCombine().

## needsTexEnvCombiner()

bool osg::TexEnvCombine::needsTexEnvCombiner | ( | GLint | value | ) | const

inline protected

References CONSTANT, PREVIOUS, PRIMARY_COLOR, and TEXTURE.

Referenced by computeNeedForTexEnvCombiners().

## setCombine_Alpha()

void osg::TexEnvCombine::setCombine_Alpha | ( | GLint | cm | ) |

## setCombine_RGB()

void osg::TexEnvCombine::setCombine_RGB | ( | GLint | cm | ) |

## setConstantColor()

void osg::TexEnvCombine::setConstantColor | ( | const Vec4 & | color | ) |

inline

References _constantColor.

## setConstantColorAsLightDirection()

void osg::TexEnvCombine::setConstantColorAsLightDirection | ( | const Vec3 & | direction | ) |

inline

Set the constant color attribute to the given light direction for use with DOT3 combine operation.

References _constantColor, osg::Vec3f::x(), osg::Vec3f::y(), and osg::Vec3f::z().

## setOperand0_Alpha()

void osg::TexEnvCombine::setOperand0_Alpha | ( | GLint | op | ) |

## setOperand0_RGB()

void osg::TexEnvCombine::setOperand0_RGB | ( | GLint | op | ) |

## setOperand1_Alpha()

void osg::TexEnvCombine::setOperand1_Alpha | ( | GLint | op | ) |

## setOperand1_RGB()

void osg::TexEnvCombine::setOperand1_RGB | ( | GLint | op | ) |

## setOperand2_Alpha()

void osg::TexEnvCombine::setOperand2_Alpha | ( | GLint | op | ) |

## setOperand2_RGB()

void osg::TexEnvCombine::setOperand2_RGB | ( | GLint | op | ) |

## setScale_Alpha()

void osg::TexEnvCombine::setScale_Alpha | ( | float | scale | ) |

## setScale_RGB()

void osg::TexEnvCombine::setScale_RGB | ( | float | scale | ) |

## setSource0_Alpha()

void osg::TexEnvCombine::setSource0_Alpha | ( | GLint | sp | ) |

## setSource0_RGB()

void osg::TexEnvCombine::setSource0_RGB | ( | GLint | sp | ) |

## setSource1_Alpha()

void osg::TexEnvCombine::setSource1_Alpha | ( | GLint | sp | ) |

## setSource1_RGB()

void osg::TexEnvCombine::setSource1_RGB | ( | GLint | sp | ) |

## setSource2_Alpha()

void osg::TexEnvCombine::setSource2_Alpha | ( | GLint | sp | ) |

## setSource2_RGB()

void osg::TexEnvCombine::setSource2_RGB | ( | GLint | sp | ) |

## Member Data Documentation

## _combine_Alpha

GLint osg::TexEnvCombine::_combine_Alpha

protected

Referenced by compare(), getCombine_Alpha(), and TexEnvCombine().

## _combine_RGB

GLint osg::TexEnvCombine::_combine_RGB

protected

Referenced by compare(), getCombine_RGB(), and TexEnvCombine().

## _constantColor

osg::Vec4 osg::TexEnvCombine::_constantColor

protected

Referenced by compare(), getConstantColor(), getConstantColorAsLightDirection(), setConstantColor(), setConstantColorAsLightDirection(), and TexEnvCombine().

## _needsTexEnvCrossbar

bool osg::TexEnvCombine::_needsTexEnvCrossbar

protected

Referenced by compare(), computeNeedForTexEnvCombiners(), and TexEnvCombine().

## _operand0_Alpha

GLint osg::TexEnvCombine::_operand0_Alpha

protected

Referenced by compare(), getOperand0_Alpha(), and TexEnvCombine().

## _operand0_RGB

GLint osg::TexEnvCombine::_operand0_RGB

protected

Referenced by compare(), getOperand0_RGB(), and TexEnvCombine().

## _operand1_Alpha

GLint osg::TexEnvCombine::_operand1_Alpha

protected

Referenced by compare(), getOperand1_Alpha(), and TexEnvCombine().

## _operand1_RGB

GLint osg::TexEnvCombine::_operand1_RGB

protected

Referenced by compare(), getOperand1_RGB(), and TexEnvCombine().

## _operand2_Alpha

GLint osg::TexEnvCombine::_operand2_Alpha

protected

Referenced by compare(), getOperand2_Alpha(), and TexEnvCombine().

## _operand2_RGB

GLint osg::TexEnvCombine::_operand2_RGB

protected

Referenced by compare(), getOperand2_RGB(), and TexEnvCombine().

## _scale_Alpha

float osg::TexEnvCombine::_scale_Alpha

protected

Referenced by compare(), getScale_Alpha(), and TexEnvCombine().

## _scale_RGB

float osg::TexEnvCombine::_scale_RGB

protected

Referenced by compare(), getScale_RGB(), and TexEnvCombine().

## _source0_Alpha

GLint osg::TexEnvCombine::_source0_Alpha

protected

Referenced by compare(), computeNeedForTexEnvCombiners(), getSource0_Alpha(), and TexEnvCombine().

## _source0_RGB

GLint osg::TexEnvCombine::_source0_RGB

protected

Referenced by compare(), computeNeedForTexEnvCombiners(), getSource0_RGB(), and TexEnvCombine().

## _source1_Alpha

GLint osg::TexEnvCombine::_source1_Alpha

protected

Referenced by compare(), computeNeedForTexEnvCombiners(), getSource1_Alpha(), and TexEnvCombine().

## _source1_RGB

GLint osg::TexEnvCombine::_source1_RGB

protected

Referenced by compare(), computeNeedForTexEnvCombiners(), getSource1_RGB(), and TexEnvCombine().

## _source2_Alpha

GLint osg::TexEnvCombine::_source2_Alpha

protected

Referenced by compare(), computeNeedForTexEnvCombiners(), getSource2_Alpha(), and TexEnvCombine().

## _source2_RGB

GLint osg::TexEnvCombine::_source2_RGB

protected

Referenced by compare(), computeNeedForTexEnvCombiners(), getSource2_RGB(), and TexEnvCombine().

The documentation for this class was generated from the following file:

- TexEnvCombine